# Uses of Enum
io.dapr.exceptions.DaprErrorDetails.ErrorDetailType

Packages that use DaprErrorDetails.ErrorDetailType
Package
Description
io.dapr.exceptions

## Uses of DaprErrorDetails.ErrorDetailType in io.dapr.exceptions

Methods in io.dapr.exceptions that return DaprErrorDetails.ErrorDetailType
Modifier and Type
Method
Description
`static DaprErrorDetails.ErrorDetailType`
DaprErrorDetails.ErrorDetailType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprErrorDetails.ErrorDetailType[]`
DaprErrorDetails.ErrorDetailType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.exceptions with parameters of type DaprErrorDetails.ErrorDetailType
Modifier and Type
Method
Description
`<T> T`
DaprErrorDetails.`get(DaprErrorDetails.ErrorDetailType errorDetailType, String errAttribute, TypeRef<T> typeRef)`
Gets an attribute of an error detail.